TEMPLATE = app
CONFIG += console c++11
QT += svg
CONFIG -= app_bundle
#CONFIG -= qt

QMAKE_CXXFLAGS_RELEASE -= -O2
QMAKE_CXXFLAGS_RELEASE += -O3

QMAKE_CXXFLAGS+= -fopenmp
QMAKE_LFLAGS +=  -fopenmp

LIBS += -lboost_system -lboost_filesystem -lcairo

SOURCES += main.cpp
HEADERS += ogdffunctions.h \
    intervals.h \
    spider_layout.h \
    draw.h

win32:CONFIG(release, debug|release): LIBS += -L$$PWD/../../OGDF-snapshot/release/ -lOGDF
else:win32:CONFIG(debug, debug|release): LIBS += -L$$PWD/../../OGDF-snapshot/debug/ -lOGDF
else:unix: LIBS += -L$$PWD/../../OGDF-snapshot/ -lOGDF

INCLUDEPATH += $$PWD/../../OGDF-snapshot/include
DEPENDPATH += $$PWD/../../OGDF-snapshot/include

win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/release/libOGDF.a
else:win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/debug/libOGDF.a
else:win32:!win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/release/OGDF.lib
else:win32:!win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/debug/OGDF.lib
else:unix: PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/libOGDF.a

win32:CONFIG(release, debug|release): LIBS += -L$$PWD/../../OGDF-snapshot/release/ -lCOIN
else:win32:CONFIG(debug, debug|release): LIBS += -L$$PWD/../../OGDF-snapshot/debug/ -lCOIN
else:unix: LIBS += -L$$PWD/../../OGDF-snapshot/ -lCOIN

INCLUDEPATH += $$PWD/../../OGDF-snapshot/include
DEPENDPATH += $$PWD/../../OGDF-snapshot/include

win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/release/libCOIN.a
else:win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/debug/libCOIN.a
else:win32:!win32-g++:CONFIG(release, debug|release): PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/release/COIN.lib
else:win32:!win32-g++:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/debug/COIN.lib
else:unix: PRE_TARGETDEPS += $$PWD/../../OGDF-snapshot/libCOIN.a
